API referenceEndpoints

Create conversation

Requires an authenticated tenant principal. Generated from the production route registered in `internal/features/conversations/inbound/http.go`.

POST/v1/conversations

Requires an authenticated tenant principal. Generated from the production route registered in internal/features/conversations/inbound/http.go.

Authorization

bearerAuth
AuthorizationBearer <token>

Engine-issued API key or tenant-signed JWT.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/conversations" \  -H "Content-Type: application/json" \  -d '{}'
{}